Bug 86167 - fesetround() does not set SSE floating-point rounding modes
fesetround() does not set SSE floating-point rounding modes
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-15 08:08 EST by David Monniaux
Modified: 2016-11-24 10:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-29 03:19:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Monniaux 2003-03-15 08:08:18 EST
Description of problem:

fesetround() does not set SSE rounding modes, even though gcc now has options to
compile floating-point code to SSE.

(Checked in glibc source code.)

Version-Release number of selected component (if applicable): 2.2.93


How reproducible:

Always.

Steps to Reproduce:
1.Write code using fesetround() and whose results depends on the correct
rounding mode being set.
2.Compile with or without -march=pentium4 -msse -msse2
3.Compare the results.
    
Actual results:

The rounding mode is not set.

Expected results:

The rounding mode should be set.

Additional info:

Reported to glibc gnats as bug libc/4987.
Fix: use stmxcsr/ldmxcsr.
Comment 1 Ulrich Drepper 2003-04-29 03:19:14 EDT
I've checked in a patch in the official glibc CVS archive.  They should appear
in the next RPM.

Note You need to log in before you can comment on or make changes to this bug.